Bug 978248 - Should remove "MongoDB " in "Adding capabilities" part after creating an app
Should remove "MongoDB " in "Adding capabilities" part after creating an app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 03:49 EDT by Gaoyun Pei
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-console-1.9.14-1.el6op
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-26 03:49:01 EDT
Description of problem:
In the third step "Next steps" of CREATE AN APPLICATION, we could see a "Adding capabilities" part on the right side of the page, and it contains a link of "MongoDB", which shouldn't be there.


Version-Release number of selected component (if applicable):
OpenShiftEnterprise 1.2 RC2
http://download.lab.bos.redhat.com/rel-eng/OpenShiftEnterprise/1.2/2013-06-25.3/

How reproducible:
Always

Steps to Reproduce:
1. Create an app on web console:
  1). Choose a type of application
  2). Configure and deploy the application
   when it comes to 3). Next steps , we could see the following content on this page:

Adding capabilities
Cartridges are the components of an OpenShift application, and include databases, build systems, and management capabilities. Adding a cartridge such as MySQL or MongoDB to an application provides the desired capability without forcing you to administrate or update that feature.

2. If click on the "MongoDB", it would report an error:

Cartridge Type 'mongodb-2.2' does not exist
Management console
View your account
Get help
Contact us if you feel you have reached this page in error.

Reference #0fa46830746295d90bcf8efaadec2763


Actual results:

Expected results:
should remove "MongoDB" link

Additional info:
Comment 2 Jason DeTiberus 2013-06-26 05:51:07 EDT
https://github.com/openshift/enterprise-server/pull/94
Comment 3 Gaoyun Pei 2013-06-27 02:12:12 EDT
Test on http://download.lab.bos.redhat.com/rel-eng/OpenShiftEnterprise/1.2/2013-06-26.3/ , "MongoDB" has been removed.

[root@broker ~]# rpm -qa|grep rubygem-openshift-origin-console
rubygem-openshift-origin-console-1.9.14-1.el6op.noarch
Comment 4 Luke Meyer 2013-06-28 11:46:18 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.